Package org.eclipse.graphiti.platform.ga

# Interface IVisualStateHolder

All Known Subinterfaces:
  `IAnchorContainerDelegate`, `IPictogramElementDelegate`

All Known Implementing Classes:
  `AnchorContainerDelegate`, `GFAbstractPointListShape`, `GFAbstractRotatableDecoration`, `GFAbstractShape`, `GFEllipse`, `GFEllipseDecoration`, `GFPolygon`, `GFPolygonDecoration`, `GFPolyline`, `GFPolylineConnection`, `GFPolylineDecoration`, `GFRectangleFigure`, `GFRoundedRectangle`, `PictogramElementDelegate`

public interface IVisualStateHolder
The Interface IVisualStateHolder provides access to an `IVisualState`.

## Method Summary

Modifier and Type
Method
Description
`IVisualState`
`getVisualState()`
Returns the `IVisualState`.

## Method Details

### getVisualState

IVisualState getVisualState()
Returns the `IVisualState`. Must not be null.

Returns:
  The `IVisualState`